<ui:composition xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:f="http://java.sun.com/jsf/core" xmlns:gri="http://java.sun.com/jsf/composite/gri"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:a4j="http://richfaces.org/a4j"
	xmlns:s="http://jboss.org/schema/seam/taglib"
	xmlns:rich="http://richfaces.org/rich"
	xmlns:c="http://java.sun.com/jstl/core"
	xmlns:cc="http://java.sun.com/jsf/composite">
	<cc:interface>
		<cc:attribute name="id" />
		<!-- styleClass SHALL be from : modal-sm , modal-lg -->
		<cc:attribute name="styleClass" />
		<cc:attribute name="headerStyleClass" />
		<cc:attribute name="bodyStyleClass" />
		<cc:facet name="header" />
		<cc:facet name="footer" />
	</cc:interface>
	<cc:implementation>
		<c:choose>
			<c:when
				test="#{(not empty cc.facets.header) and (not empty cc.facets.footer)}">
				<ui:decorate template="/layout/popup/_popup_title_footer.xhtml">
					<ui:param name="popup_id" value="${cc.attrs.id}" />
					<ui:param name="styleClass" value="${cc.attrs.styleClass}" />
					<ui:param name="headerStyleClass" value="#{cc.attrs.headerStyleClass == null ? 'gzl-text-blue' : cc.attrs.headerStyleClass}" />
					<ui:param name="bodyStyleClass" value="#{cc.attrs.bodyStyleClass == null ? '' : cc.attrs.bodyStyleClass}" />
					<ui:define name="popup_title">
						<cc:renderFacet name="header"/>
					</ui:define>
					<cc:insertChildren/>
					<ui:define name="popup_footer">
						<cc:renderFacet name="footer"/>
					</ui:define>
				</ui:decorate>
			</c:when>

			<c:when test="#{(not empty cc.facets.header)}">
				<ui:decorate template="/layout/popup/_popup_title.xhtml">
					<ui:param name="popup_id" value="${cc.attrs.id}" />
					<ui:param name="styleClass" value="${cc.attrs.styleClass}" />
					<ui:param name="headerStyleClass" value="#{cc.attrs.headerStyleClass == null ? 'gzl-text-blue' : cc.attrs.headerStyleClass}" />
					<ui:define name="popup_title">
						<cc:renderFacet name="header"/>
					</ui:define>
					<cc:insertChildren/>
				</ui:decorate>
			</c:when>

			<c:when test="#{(not empty cc.facets.footer)}">
				<ui:decorate template="/layout/popup/_popup_footer.xhtml">
					<ui:param name="popup_id" value="${cc.attrs.id}" />
					<ui:param name="styleClass" value="${cc.attrs.styleClass}" />
					<ui:param name="headerStyleClass" value="#{cc.attrs.headerStyleClass == null ? 'gzl-text-blue' : cc.attrs.headerStyleClass}" />
					<cc:insertChildren/>
					<ui:define name="popup_footer">
						<cc:renderFacet name="footer"/>
					</ui:define>
				</ui:decorate>
			</c:when>

			<c:otherwise>
				<ui:decorate template="/layout/popup/_popup.xhtml">
					<ui:param name="styleClass" value="${cc.attrs.styleClass}" />
					<ui:param name="headerStyleClass" value="#{cc.attrs.headerStyleClass == null ? 'gzl-text-blue' : cc.attrs.headerStyleClass}" />
					<cc:insertChildren/>
				</ui:decorate>
			</c:otherwise>
		</c:choose>
	</cc:implementation>
</ui:composition>